.\" Please adjust this date whenever revising the manpage.
.TH TWYT 1 "Apr 10, 2009" "twyt 0.9.2"
.SH NAME
twyt \- Command line twitter client
.SH SYNOPSIS
.B twyt [options]
.B twyt COMMAND [options] [...]
.SH DESCRIPTION
This manual page documents briefly the
.B twyt
command.
.PP
.B twyt
is a command line Twitter client which allows you to update your Twitter status,
retrieve the different timelines that Twitter offers and generally keep up with
what your friends are tweeting about.
.PP
Use the \fB--help\fR (or \fB-h\fR) option with any form of the command to get
some usage hints and details of accepted options.
.PP
Use the \fB--version\fR option with any form of the command to make twyt print
its version.
.SH MISC. COMMANDS
.TP
\fBuser [options] (set|unset)\fR
allows you to save your account details in twyt's config file so that you don't
need to enter your password when running twyt commands which require
authentication. You can set many accounts and then choose one as the default
using the \fB-u\fR (or \fB--user\fR) and \fB-d\fR (or \fB--default\fR) options.
The \fB-l\fR (\fB--list\fR) option makes twyt list your saved accounts.
.TP
\fBnamecache [options]\fR
Access and manipulate the name cache. This can be used in, for example, tab
completion scripts.
.TP
\fBiplimit\fR and \fBaccountlimit\fR
These commands retrieve the status of your Twitter rate limit. Although these
commands make API requests, they are not affected by the rate limiting. The
account limit status is impacted by authenticated actions, such as tweeting
(\fBtweet\fR), and the ip limit status is affected by unauthenticated actions,
such as retrieving the public timeline (\fBpublictl\fR).
.SH STATUS MESSAGE COMMANDS
.TP
\fBtweet [options] MESSAGE...\fR
sends a tweet to Twitter. In other words it updates your twitter status to
\fBMESSAGE\fR.

\fBMESSAGE\fR can also be supplied on stdin, i.e. using pipes or redirection.
In this case, the \fBMESSAGE\fR argument is ignored and stdin is used in
preference.
.TP
\fBsing [options] MESSAGE...\fR
Similar to `tweet'. Wraps the message in musical notes (silly, yet convenient).
.TP
\fBdelete [options] ID\fR
deletes the status message matching the numerical \fBID\fR.
.TP
\fBpublictl [options]\fR
shows new status messages (max 20) in the public timeline.
.TP
\fBfriendstl [options]\fR
shows new status messages (max 20) in your friends timeline.
.TP
\fBusertl [options] [USERNAME]\fR
shows your, or another person's, timeline.
.TP
\fBreplies [options]\fR
lists statuses which are replies to you (statuses with @yourusername in them)
.TP
\fBshow ID\fR
shows a single status message whose id matches \fBID\fR.
.SH DIRECT MESSAGE COMMANDS
.TP
\fBdirect [options] RECIPIENT MESSAGE...\fR
sends a direct message to \fBRECIPIENT\fR.
.TP
\fBdirecttl [options]\fR
shows up to 20 direct messages sent \fBto\fR you.
.TP
\fBdirectsent [options]\fR
shows up to 20 direct messages sent \fBby\fR you.
.TP
\fBdirectdel [options] ID\fR
deletes a direct message that was sent to you. The \fBdirecttl\fR command is handy for finding out IDs.
.SH AUTHOR
twyt is maintained by Andrew Price <andy@andrewprice.me.uk>.
.PP
This manual page was written by Andrew Price <andy@andrewprice.me.uk>.

